Skip to main content

Application Job Log Actions

https://api.app.wnology.io/applications/APPLICATION_ID/jobLogs/JOB_ID

Below are the various requests that can be performed against the Application Job Log resource, as well as the expected parameters and the potential responses.

Get​

Returns the job log for the given ID

Method And Url​

GET https://api.app.wnology.io/applications/APPLICATION_ID/jobLogs/JOB_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.read, all.Organization, all.Organization.read, all.User, all.User.read, applicationJobLog.*, or applicationJobLog.get.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
JOB_IDID associated with the job execution575ec8687ae143cd83dc4a98

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.app.wnology.io/applications/APPLICATION_ID/jobLogs/JOB_ID

Successful Responses​

CodeTypeDescription
200Application Job LogAn application job log

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application job log was not found

Schemas​

Application Job Log​

Schema for a single Application Job Log

Application Job Log Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 19 keys
      • ▶
        {} 2 keys
        • ▶
          {} 2 keys
          • ▶
            {} 2 keys
            • ▶
              {} 1 key
              • ▶
                {} 2 keys
                • ▶
                  {} 2 keys
                  • ▶
                    {} 2 keys
                    • ▶
                      {} 2 keys
                      • ▶
                        {} 2 keys
                        • ▶
                          {} 2 keys
                          • ▶
                            {} 2 keys
                            • ▶
                              {} 2 keys
                              • ▶
                                {} 2 keys
                                • ▶
                                  {} 2 keys
                                  • ▶
                                    {} 2 keys
                                    • ▶
                                      {} 2 keys
                                      • ▶
                                        {} 2 keys
                                        • ▶
                                          {} 11 keys
                                          • ▶
                                            {} 20 keys

                                        Application Job Log Example​

                                        • ▶
                                          {} 9 keys
                                          • "575ec76c7ae143cd83dc4a96"
                                          • "575ec76c7ae143cd83dc4a96"
                                          • "575ec8687ae143cd83dc4a97"
                                          • "application"
                                          • "2025-06-10T04:00:00.000Z"
                                          • "2025-06-10T04:00:01.000Z"
                                          • "inProgress"
                                          • "ArchiveData"
                                          • ▶
                                            {} 2 keys

                                          Error​

                                          Schema for errors returned by the API

                                          Error Schema​

                                          • ▶
                                            {} 3 keys
                                            • "http://json-schema.org/draft-07/schema#"
                                            • "object"
                                            • ▶
                                              {} 2 keys
                                              • ▶
                                                {} 1 key
                                                • ▶
                                                  {} 1 key

                                              Error Example​

                                              • ▶
                                                {} 2 keys
                                                • "NotFound"
                                                • "Application was not found"

                                              Was this page helpful?


                                              Still looking for help? You can also search the WEGnology Forums or submit your question there.